Get Pm Job
Query existing Performance Management Job for reporting
Request
URI
GET
https://{api_host}/tca/etsi/orgs/{vnfpmOrgId}/direct/internal/vnfpm/v1/{vnfInstanceId}/pm_jobs/{pmJobId}
COPY
Path Parameters
string
vnfpmOrgId
Required
The tenant identifier
string
vnfInstanceId
Required
Network Function Instance Id
string
pmJobId
Required
Performance Management Job Id
Header Parameters
string
Accept-Language
Optional
Accept-Language
Responses
200
Returns
pmJobsResponse
of type(s)
application/json
{
"pmJobs": [
{
"pmJobId": "string",
"pmJobName": "string",
"objectId": "string",
"objectType": "string",
"status": "string",
"errorMessage": "string",
"creationDate": "string",
"pmJobCriteria": {
"performanceMetric": [
"string"
],
"performanceMetricGroup": [
"string"
],
"collectionPeriod": 0,
"reportingPeriod": 0,
"reportingBoundary": "string"
},
"reportsAvailableForDownload": 0,
"reports": [
{
"reportId": "string",
"objectId": "string",
"objectType": "string",
"reportName": "string",
"link": "string",
"creationTime": 0,
"expirationTime": 0,
"fileSize": "number",
"status": "string",
"errorMessage": "string",
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
],
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
],
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Returns
InternalServerError
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
On This Page
Performance Management Operations
POST
Create Pm Job
DELETE
Delete Pm Job
GET
Download Report File
GET
Get Pm Job
GET
Get Pm Job Report
GET
Get Pm Jobs For Vnf
POST
Query Inventory Stats